Subject: Re: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Dec 2013 20:48:26 +0200

> Date: Sat, 21 Dec 2013 18:13:25 +0100
> From: martin rudalics <[email-masked]>
> CC: Jarek Czekalski <[email-masked]>, [email-masked]
> 
>  > I don't think it's important, certainly not extremely important.  You
>  > can hang Emacs with as little as '(while t)'.  Users who do
>  > unreasonable things should expect trouble, because Emacs gives them a
>  > lot of rope to hang themselves.
> 
> If I do drag _very_ fast as described by the OP, Emacs reliably crashes
> here as:
> 
> 
> #0  terminate_due_to_signal (sig=22, backtrace_limit=2147483647) at emacs.c:351
> #1  0x0116400a in die (msg=0x14763e0 "row >= 0 && row < matrix->nrows", file=0x147618c "dispnew.c", line=1369) at alloc.c:6742
> #2  0x01004ed3 in matrix_row (matrix=0x36e2800, row=7) at dispnew.c:1369

Isn't that what I said in

   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16051#8

?

> I can't reproduce the crash with the toolbar turned off.

Because the crash happens while we redraw the toolbar.